Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Protocol_Item Class Reference

`#include <Resource_Factory.h>`

Collaboration diagram for TAO_Protocol_Item:

[legend]
List of all members.

## Public Methods
| TAO_Protocol_Item (const ACE_CString &name)
| creator method, the protocol name can only be set when the object is created. More...
| ~TAO_Protocol_Item (void)
| destructor that deallocates the factory object if the Protocol_Item retains ownership. More...
const ACE_CString & | protocol_name (void)
| return a reference to the character representation of the protocol factories name. More...
TAO_Protocol_Factory * | factory (void)
| return a pointer to the protocol factory. More...
void | factory (TAO_Protocol_Factory *factory, int owner=0)
| set the factory pointer's value. More...
## Private Methods
| TAO_Protocol_Item (const TAO_Protocol_Item &)
void | operator= (const TAO_Protocol_Item &)
## Private Attributes
ACE_CString | name_
| protocol factory name. More...
TAO_Protocol_Factory * | factory_
| pointer to factory object. More...
int | factory_owner_
| whether we own (and therefore have to delete) the factory object. More...

## Constructor & Destructor Documentation

TAO_Protocol_Item::TAO_Protocol_Item | ( | const ACE_CString & | name | ) |

| creator method, the protocol name can only be set when the object is created.

TAO_Protocol_Item::~TAO_Protocol_Item | ( | void |  | ) |

| destructor that deallocates the factory object if the Protocol_Item retains ownership.

TAO_Protocol_Item::TAO_Protocol_Item | ( | const TAO_Protocol_Item & |  | ) | `[private]`

## Member Function Documentation

void TAO_Protocol_Item::factory | ( | TAO_Protocol_Factory * | factory,
|  | int | owner = 0
| ) |

| set the factory pointer's value.

TAO_Protocol_Factory * TAO_Protocol_Item::factory | ( | void |  | ) |

| return a pointer to the protocol factory.

void TAO_Protocol_Item::operator= | ( | const TAO_Protocol_Item & |  | ) | `[private]`

const ACE_CString & TAO_Protocol_Item::protocol_name | ( | void |  | ) |

| return a reference to the character representation of the protocol factories name.

## Member Data Documentation

TAO_Protocol_Factory* TAO_Protocol_Item::factory_`[private]`

| pointer to factory object.

int TAO_Protocol_Item::factory_owner_`[private]`

| whether we own (and therefore have to delete) the factory object.

ACE_CString TAO_Protocol_Item::name_`[private]`

| protocol factory name.

The documentation for this class was generated from the following files:

- Resource_Factory.h
- Resource_Factory.cpp